import java.io.File;
import java.awt.image.BufferedImage;
import javax.imageio.ImageIO;

public class DumpPixels
{
    public static void main(String[] args) throws Exception
    {
        BufferedImage img = null;
        img = ImageIO.read(new File(args[0]));

        System.out.print(img.getWidth());
        System.out.print(" ");

        System.out.print(img.getHeight());
        System.out.print(" ");

        if (args.length == 3)
        {
            int x = Integer.parseInt(args[1]);
            int y = Integer.parseInt(args[2]);
            System.out.print(Integer.toHexString(img.getRGB(x, y)));
        }
        else
        {
            int width = img.getWidth();
            int height = img.getHeight();
            for (int x = 0; x < width; x++)
            {
                for (int y = 0; y < height; y++)
                {
                    System.out.print(Integer.toHexString(img.getRGB(x, y)));
                    System.out.print(" ");
                }
            }
        }
        System.out.println();
    }
}
